Package org.pushingpixels.substance.internal.plugin

# Class BasePlugin

java.lang.Object
org.pushingpixels.substance.internal.plugin.BasePlugin

All Implemented Interfaces:
  `org.pushingpixels.lafplugin.LafComponentPlugin`, `org.pushingpixels.lafplugin.LafPlugin`

public class BasePlugin extends Object implements org.pushingpixels.lafplugin.LafComponentPlugin
Core plugin for additional UI delegates. Contains information on Quaqua and Xoetrope color chooser panels. This class is for internal use only.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`commonDir`
Common directory for Quaqua images.
`protected boolean`
`hasQuaquaColorChooser`
Indication whether the Quaqua color chooser is available.
`protected static final String`
`quaquaColorChooserClassName`
Color chooser class name from Quaqua.

### Fields inherited from interface org.pushingpixels.lafplugin.LafComponentPlugin

`COMPONENT_TAG_PLUGIN_CLASS`

### Fields inherited from interface org.pushingpixels.lafplugin.LafPlugin

`TAG_MAIN`

## Constructor Summary

Constructors
Constructor
Description
`BasePlugin()`
Creates the base plugin.

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getDefaults(Object mSkin)`
`void`
`initialize()`
`protected Object`
`makeBufferedImage(String location)`
`protected static Object`
`makeButtonStateIcon(String location, int states)`
`static Object`
`makeIcon(Class baseClass, String location)`
`protected Object`
`makeImage(String location)`
From Quaqua
`void`
`uninitialize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### commonDir

protected static final String commonDir
Common directory for Quaqua images.

See Also:
  - Constant Field Values

### quaquaColorChooserClassName

protected static final String quaquaColorChooserClassName
Color chooser class name from Quaqua.

See Also:
  - Constant Field Values

### hasQuaquaColorChooser

protected boolean hasQuaquaColorChooser
Indication whether the Quaqua color chooser is available. The lite version strips away the Quaqua color chooser.

## Constructor Details

### BasePlugin

public BasePlugin()
Creates the base plugin.

## Method Details

### makeImage

protected Object makeImage(String location)
From Quaqua

### makeButtonStateIcon

protected static Object makeButtonStateIcon(String location, int states)

### makeBufferedImage

protected Object makeBufferedImage(String location)

### makeIcon

public static Object makeIcon(Class baseClass, String location)

### getDefaults

public Object[] getDefaults(Object mSkin)

Specified by:
  `getDefaults` in interface `org.pushingpixels.lafplugin.LafComponentPlugin`

### uninitialize

public void uninitialize()

Specified by:
  `uninitialize` in interface `org.pushingpixels.lafplugin.LafComponentPlugin`

### initialize

public void initialize()

Specified by:
  `initialize` in interface `org.pushingpixels.lafplugin.LafComponentPlugin`